GET checks/generic/{checkId}/results/{resultId}
Gets a json that contains generic check result data.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| resultId | Check result identifier. Type: GUID. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/generic/12345/results/d36efbcc-28ad-4417-ab32-1872c9e00ed5?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
{
"attempts": 1,
"result_code": 1,
"timestamp_utc": "2026-05-13T03:44:06",
"severity": "sample string 3",
"value": 1,
"resultId": "1555909a-8605-4b82-b38d-ab842a61c085",
"result": {}
}
| Name | Type | Description |
|---|---|---|
| attempts | Integer | The number of attempts. |
| result_code | Integer | The result code. |
| timestamp_utc | DateTime | The result timestamp in UTC. |
| severity | String | The result severity. |
| value | Integer | The result value. |
| resultId | Guid | The result identifier. |
| result | Object | The custom result data in json format. |